﻿using IRaCIS.Core.Domain.Share.Reading;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.Service.Reading.Dto
{
    public class ReadingPeriodSetAddOrEdit 
    {
        public new Guid? Id { get; set; }

        /// <summary>
        /// 项目ID
        /// </summary>
        public Guid? TrialId { get; set; }

        /// <summary>
        /// 阅片期名称
        /// </summary>
        public string ReadingPeriodName { get; set; }

        public string Remark { get; set; }

        /// <summary>
        /// 阅片范围
        /// </summary>
        public ReadingScopeEnum? ReadingScope { get; set; }

        /// <summary>
        /// 截止日期
        /// </summary>
        public DateTime? ExpirationDate { get; set; }

        /// <summary>
        /// 截止访视
        /// </summary>
        public decimal? ExpirationVisit { get; set; }

        /// <summary>
        /// 访视计划ID
        /// </summary>
        public Guid? VisitStageId { get; set; }

        /// <summary>
        /// 是否生效
        /// </summary>
        public int? IsTakeEffect { get; set; } = 0;


        public  List<Guid> SiteIds { get; set; }  = new List<Guid>();

    }


    public class ReadingPeriodSetView
    {
        /// <summary>
        /// id
        /// </summary>

        public Guid Id { get; set; }

        /// <summary>
        /// 项目ID
        /// </summary>
        public Guid? TrialId { get; set; }

        /// <summary>
        /// 阅片期名称
        /// </summary>
        public string ReadingPeriodName { get; set; }

        /// <summary>
        /// 阅片范围
        /// </summary>
        public ReadingScopeEnum? ReadingScope { get; set; }

        /// <summary>
        /// 截止日期
        /// </summary>
        public DateTime? ExpirationDate { get; set; }

        /// <summary>
        /// 截止访视
        /// </summary>
        public decimal? ExpirationVisit { get; set; }

        /// <summary>
        /// 访视计划ID
        /// </summary>
        public Guid? VisitStageId { get; set; }

        /// <summary>
        /// 是否生效
        /// </summary>
        public int? IsTakeEffect { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        public Guid CreateUserId { get; set; }


        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

        /// <summary>
        /// 中心Id
        /// </summary>
        public List<Guid?> SiteIds { get; set; }

        /// <summary>
        /// 中心name
        /// </summary>
        public List<string?> SiteCodes { get; set; }
    }

    public class SetReadingPeriodSetEffect
    {
        /// <summary>
        /// 项目ID
        /// </summary>
        public Guid Id { get; set; }

        /// <summary>
        /// 设置阅片是否生效
        /// </summary>
        public int IsTakeEffect { get; set; }
    }

    public class ReadingPeriodSetQuery
    {

        /// <summary>
		/// 截止访视
		/// </summary>
		public decimal? ExpirationVisit { get; set; }

        /// <summary>
		/// 项目ID
		/// </summary>
		public Guid? TrialId { get; set; }

        /// <summary>
        /// 阅片期名称
        /// </summary>
        public string? ReadingPeriodName { get; set; }

        /// <summary>
        /// 页码
        /// </summary>
        public int PageIndex { get; set; } = 1;

        /// <summary>
        /// 每页大小
        /// </summary>
        public int PageSize { get; set; } = 10;


        /// <summary>
        /// 排序字段
        /// </summary>
        public string? SortField { get; set; }

        /// <summary>
        /// 排序字段
        /// </summary>
        public bool SortAsc { get; set; } = true;
    }
}
