﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Domain.Share.Reading
{
    /// <summary>
    /// 模块枚举
    /// </summary>
    public enum ModuleTypeEnum
    {
        /// <summary>
        /// 计划内访视
        /// </summary>
        InPlanSubjectVisit=0,

        /// <summary>
        /// 计划外访视
        /// </summary>
        OutPlanSubjectVisit = 1,

        /// <summary>
        /// 阅片期
        /// </summary>
        Read = 2,

        /// <summary>
        /// 裁判
        /// </summary>
        Referee = 3,

        /// <summary>
        /// 肿瘤学
        /// </summary>
        Oncology = 4,
    }


    /// <summary>
    /// 阅片期范围
    /// </summary>
    public enum ReadingScopeEnum
    {
        /// <summary>
        /// 全部
        /// </summary>
        All=0,

        /// <summary>
        /// 根据Site
        /// </summary>
        Site=1,
    }


    /// <summary>
    /// 状态
    /// </summary>
    public enum ReadingPeriodStatus
    {
        /// <summary>
        /// 已生效
        /// </summary>
        TakeEffect = 1,

        /// <summary>
        /// 已撤销
        /// </summary>
        Revocation=2,
    }

    /// <summary>
    /// 阅片模块状态
    /// </summary>
    public enum ReadModuleEnum
    {
        /// <summary>
        /// 影像上传
        /// </summary>
        ImageUpload=0,

        /// <summary>
        /// 影像质控
        /// </summary>
        ImageQuality = 1,

        /// <summary>
        /// 一致性核查及分配
        /// </summary>
        ConsistencyCheck = 2,

        /// <summary>
        /// 影像阅片
        /// </summary>
        ImageRead = 3,

        /// <summary>
        /// 阅片完成
        /// </summary>
        ReadComplete = 4,

    }


    /// <summary>
	/// 上传方式
	/// </summary>
	public enum ClinicalUploadType
    {
        /// <summary>
        /// 表格
        /// </summary>
        Table = 0,

        /// <summary>
        /// PDF
        /// </summary>
        PDF = 1,

    }

    /// <summary>
    /// 数据类型
    /// </summary>
    public enum ClinicalDataType
    {
        /// <summary>
        /// 既往局部治疗史
        /// </summary>
        MedicalHistory = 0,

        /// <summary>
        /// 影像模态（PET临床信息）
        /// </summary>
        PET = 1,

        /// <summary>
        /// 胸水
        /// </summary>
        Hydrothorax = 2,
    }

    /// <summary>
    /// 临床分组级别
    /// </summary>
    public enum ClinicalLevel
    {
        /// <summary>
        /// 受试者
        /// </summary>
        Subject = 0,

        /// <summary>
        /// 访视
        /// </summary>
        SubjectVisit = 1,

        /// <summary>
        /// 阅片
        /// </summary>
        Read = 2,
    }
}
