

using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using IRaCIS.Core.Domain.Share.Reading;

namespace IRaCIS.Core.Domain.Models
{
	///<summary>
	/// 临床资料
	///</summary>
	[Table("ClinicalData")]
	public class ClinicalData : Entity, IAuditAdd
	{

		/// <summary>
		/// 项目ID
		/// </summary>
		public Guid? TrialId { get; set; }

		/// <summary>
		/// 受试者ID
		/// </summary>
		public Guid? SubjectId { get; set; }

		/// <summary>
		/// 访视或者阅片ID
		/// </summary>
		public Guid? VisitOrReadId { get; set; }

		/// <summary>
		/// 临床级别
		/// </summary>
		public ClinicalLevel? ClinicalLevel { get; set; }

		/// <summary>
		/// 数据类型
		/// </summary>
		public ClinicalDataType? DataType { get; set; }

		/// <summary>
		/// 上传方式
		/// </summary>
		public ClinicalUploadType? UploadType { get; set; }

		/// <summary>
		/// 创建时间
		/// </summary>
		public DateTime CreateTime { get; set; }

		/// <summary>
		/// 创建人
		/// </summary>
		public Guid CreateUserId { get; set; }

	}


	



}
