

using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using IRaCIS.Core.Domain.Share.Reading;
using System.Collections.Generic;

namespace IRaCIS.Core.Domain.Models
{
	///<summary>
	///阅片期设置
	///</summary>
	[Table("ReadingPeriodSet")]
	public class ReadingPeriodSet : Entity, IAuditAdd
	{

		/// <summary>
		/// 项目ID
		/// </summary>
		public Guid? TrialId { get; set; }

		/// <summary>
		/// 阅片期名称
		/// </summary>
		public string ReadingPeriodName { get; set; }

		/// <summary>
		/// 阅片范围
		/// </summary>
		public ReadingScopeEnum? ReadingScope { get; set; }

		/// <summary>
		/// 截止日期
		/// </summary>
		public DateTime? ExpirationDate { get; set; }

		/// <summary>
		/// 截止访视
		/// </summary>
		public decimal? ExpirationVisit { get; set; }

		/// <summary>
		/// 访视计划ID
		/// </summary>
		public Guid? VisitStageId { get; set; }

		/// <summary>
		/// 是否生效
		/// </summary>
		public int? IsTakeEffect { get; set; }

		/// <summary>
		/// 创建时间
		/// </summary>
		public DateTime CreateTime { get; set; }

		/// <summary>
		/// 创建人
		/// </summary>
		public Guid CreateUserId { get; set; }


		/// <summary>
		/// 备注
		/// </summary>
		public string Remark { get; set; }


		public List<ReadingPeriodSite> ReadingPeriodSites { get; set; } = new List<ReadingPeriodSite>();

	}



}
