﻿namespace IRaCIS.Core.Domain.Share;

public static class StaticData
{



    #region 字典表项固定值
    public static readonly string Title = "Title";
    public static readonly string ReadingType = "ReadingType";
    public static readonly string Subspeciality = "Subspeciality";

    public static readonly string Modality = "Modality";
    public static readonly string Criterion = "Criterion";
    public static readonly string ReviewType = "ReviewType";
    public static readonly string ReadingStandard = "ReadingStandard";
    #endregion


    public static class Folder
    {
        public static readonly string IRaCISDataFolder = "IRaCISData";

        public static readonly string TrialDataFolder = "TrialData";

        public static readonly string SystemDataFolder = "SystemData";


        public static readonly string SignDocumentFolder = "SignDocument";

        public static readonly string DataTemplate = "DataTemplate";

        public static readonly string NoticeAttachment = "NoticeAttachment";

        public static readonly string DicomFolder = "Dicom";
        public static readonly string NoneDicomFolder = "NoneDicom";
        public static readonly string TreatmenthistoryFolder = "Treatmenthistory";




        public static readonly string UploadEDCData = "UploadEDCData";
        public static readonly string UploadFileFolder = "UploadFile";
    }


   


    public static class CacheKey
    {
        public static string StudyMaxCode = "StudyMaxCode";
    }



    /// <summary>
    /// 医生学位等级
    /// </summary>
    public static class ReviewerDegree
    {
        public const string Bachelor = "Bachelor";
        public const string Master = "Master";
        public const string Doctorate = "Doctorate";
    }



    /// <summary>
    /// 项目状态
    /// </summary>
    public static class TrialState
    {
        public const string TrialInitializing = "Initializing";

        public const string TrialOngoing = "Ongoing";

        public const string TrialCompleted = "Completed";

        public const string TrialStopped = "Stopped";
    }






    /// <summary>
    /// 匿名化配置 key
    /// </summary>
    public static class Anonymize
    {
        public const string Anonymize_FixedField = "Anonymize_FixedField";

        public const string Anonymize_IRCInfoField = "Anonymize_IRCInfoField";

        public const string Anonymize_AddFixedFiled = "Anonymize_AddFixedFiled";

        public const string Anonymize_AddIRCInfoFiled = "Anonymize_AddIRCInfoFiled";
    }






    /// <summary>
    /// 导出模板code
    /// </summary>
    public static class Export
    {
        public const string TrialSiteUserList_Export = "TrialSiteUserList_Export";

        public const string TrialSiteUserSummary_Export = "TrialSiteUserSummary_Export";

        public const string TrialUserList_Export = "TrialUserList_Export";
    }




}



